<?php
/**
 * Home Section About Template
 *
 * @package Urban Restaurant
 */

// Check if the About section is enabled
$urban_restaurant_section_one = get_theme_mod('urban_restaurant_about_enable');
if ('Disable' === $urban_restaurant_section_one) {
    return;
}
?>

<section id="about" class="about-section">
    <div class="container-fluid">
        <div class="row">
            <div class="col-lg-6 col-12">
                <div class="about-right">
                    <?php if (get_theme_mod('urban_restaurant_about_name')) : ?>
                        <h3><?php echo esc_html(get_theme_mod('urban_restaurant_about_name')); ?></h3>
                    <?php endif; ?>
                    <?php if (get_theme_mod('urban_restaurant_about_title_second')) : ?>
                        <p><?php echo esc_html(get_theme_mod('urban_restaurant_about_title_second')); ?></p>
                    <?php endif; ?>
                    <?php if (get_theme_mod('urban_restaurant_about_para')) : ?>
                        <p><?php echo esc_html(get_theme_mod('urban_restaurant_about_para')); ?></p>
                    <?php endif; ?>
                    <?php if (get_theme_mod('urban_restaurant_about_btn_text')) : ?>
                        <div class="theme-btn">
                            <a href="<?php echo esc_url(get_theme_mod('urban_restaurant_about_btn_text_url')); ?>">
                                <?php echo esc_html(get_theme_mod('urban_restaurant_about_btn_text')); ?>
                            </a>
                        </div>
                    <?php endif; ?>
                </div>
            </div>
            <div class="col-lg-6 col-12">
                <div class="about-left">
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="about-box-img">
                                <?php if (get_theme_mod('urban_restaurant_aboutimage1_section')) : ?>
                                    <img src="<?php echo esc_url(get_theme_mod('urban_restaurant_aboutimage1_section')); ?>" alt="<?php esc_attr_e('About Image', 'urban-restaurant'); ?>">
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
