<?php
/**
 * Home Section 1 Template
 *
 * @package Urban Restaurant
 */

// Check if the banner section is enabled
$urban_restaurant_section_one = get_theme_mod('urban_restaurant_section_banner');
if ('Disable' === $urban_restaurant_section_one) {
    return;
}
?>

<section id="banner-section-first">
    <div class="main-banner-main">
        <?php if (get_theme_mod('urban_restaurant_section_bannerimage_section')) : ?>
            <img src="<?php echo esc_url(get_theme_mod('urban_restaurant_section_bannerimage_section')); ?>" alt="<?php esc_attr_e('Banner Image', 'urban-restaurant'); ?>">
            <div class="text-box">
                <?php if (get_theme_mod('urban_restaurant_section_bannerimage_section_text')) : ?>
                    <p><?php echo esc_html(get_theme_mod('urban_restaurant_section_bannerimage_section_text')); ?></p>
                <?php endif; ?>
                <?php if (get_theme_mod('urban_restaurant_section_bannerimage_section_title')) : ?>
                    <h2><?php echo esc_html(get_theme_mod('urban_restaurant_section_bannerimage_section_title')); ?></h2>
                <?php endif; ?>
                
                <?php if (get_theme_mod('urban_restaurant_banner_btn_text')) : ?>
                    <div class="theme-btn">
                        <a href="<?php echo esc_url(get_theme_mod('urban_restaurant_banner_btn_text_url')); ?>">
                            <?php echo esc_html(get_theme_mod('urban_restaurant_banner_btn_text')); ?>
                        </a>
                    </div>
                <?php endif; ?>
            </div>
        <?php endif; ?>
    </div>
</section>
