<?php
/**
 * Home Section 1 Template
 *
 * @package Urban Restaurant
 */

// Check if the section is enabled
$urban_restaurant_section_one = get_theme_mod('urban_restaurant_section1_enable');
if ('Disable' === $urban_restaurant_section_one) {
    return;
}
?>

<section id="section1" class="featured-posts">
    <div class="container-fluid">
        <div class="section-heading-main">
            <?php if (get_theme_mod('urban_restaurant_section1_title', true) != '') : ?>
                <h3><?php echo esc_html(get_theme_mod('urban_restaurant_section1_title')); ?></h3>
            <?php endif; ?>
        </div>
        <div class="row">
            <?php
            // Define the query to get the latest posts from the specified category
            $args = array(
                'category_name' => get_theme_mod('urban_restaurant_section1_category'),
                'posts_per_page' => get_theme_mod('urban_restaurant_section1_category_number_of_posts_setting'),
                'order' => 'DESC'
            );

            $query = new WP_Query($args);

            // Loop through the posts
            while ($query->have_posts()) : $query->the_post(); ?>
                <div class="col-lg-4 col-md-4 col-sm-12">
                    <div class="post-section-box">
                        <div class="post">
                            <?php if (get_theme_mod('urban_restaurant_post_meta_toggle_switch_control', true)) : ?>
                                <div class="sec2-meta">
                                    <span><?php echo esc_html(get_the_date()); ?></span>
                                </div>
                            <?php endif; ?>

                            <?php if (has_post_thumbnail()) : ?>
                                <div class="post-thumbnail">
                                    <a href="<?php the_permalink(); ?>" aria-label="<?php echo esc_attr(get_the_title()); ?>">
                                        <?php the_post_thumbnail(); ?>
                                    </a>
                                </div>
                                <h2 class="post-title">
                                    <a href="<?php the_permalink(); ?>" aria-label="<?php echo esc_attr(get_the_title()); ?>">
                                        <?php the_title(); ?>
                                    </a>
                                </h2>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            <?php endwhile; wp_reset_postdata(); ?>
        </div>
    </div>
</section>
