import{h,Host}from"@stencil/core";import{__}from"@wordpress/i18n";import{addQueryArgs}from"@wordpress/url";import{speak}from"@wordpress/a11y";import apiFetch from"../../../functions/fetch";import{expand}from"../../../services/session";import{state as checkoutState}from"@store/checkout";import{state as formState}from"@store/form";import{createErrorNotice}from"@store/notices/mutations";import{clearCheckout}from"@store/checkout/mutations";export class ScOrderConfirmProvider{constructor(){this.showSuccessModal=!1,this.manualPaymentMethod=void 0,this.checkoutStatus=void 0,this.successUrl=void 0}handleConfirmOrderEvent(){"confirming"===this.checkoutStatus?this.confirmOrder():"confirmed"===this.checkoutStatus&&speak(__("Order has been confirmed. Please select continue to go to the next step.","surecart"))}async confirmOrder(){var e,t,o,s;try{checkoutState.checkout=await apiFetch({method:"PATCH",path:addQueryArgs(`surecart/v1/checkouts/${null===(e=null==checkoutState?void 0:checkoutState.checkout)||void 0===e?void 0:e.id}/confirm`,{expand:expand})}),this.scSetState.emit("CONFIRMED")}catch(e){console.error(e),createErrorNotice(e)}finally{this.manualPaymentMethod=(null===(t=checkoutState.checkout)||void 0===t?void 0:t.manual_payment_method)||null;const e=checkoutState.checkout,r=checkoutState.formId;if(null===(o=null==e?void 0:e.current_upsell)||void 0===o?void 0:o.permalink)return setTimeout((()=>{var t;return window.location.assign(addQueryArgs(null===(t=null==e?void 0:e.current_upsell)||void 0===t?void 0:t.permalink,{sc_checkout_id:null==e?void 0:e.id,sc_form_id:r}))}),50),void clearCheckout();const c=(null===(s=null==e?void 0:e.metadata)||void 0===s?void 0:s.success_url)||this.successUrl;if(c){this.scSetState.emit("REDIRECT");const t=addQueryArgs(c,{sc_order:null==e?void 0:e.id});setTimeout((()=>window.location.assign(t)),50)}else this.showSuccessModal=!0;clearCheckout()}}getSuccessUrl(){var e,t,o,s,r;const c=(null===(t=null===(e=checkoutState.checkout)||void 0===e?void 0:e.metadata)||void 0===t?void 0:t.success_url)||this.successUrl;return c?addQueryArgs(c,{sc_order:null===(o=checkoutState.checkout)||void 0===o?void 0:o.id}):null===(r=null===(s=null===window||void 0===window?void 0:window.scData)||void 0===s?void 0:s.pages)||void 0===r?void 0:r.dashboard}handleSuccessModal(){this.showSuccessModal&&setTimeout((()=>{var e;null===(e=this.continueButton)||void 0===e||e.focus()}),50)}render(){var e,t,o,s,r,c,i,a,n,l;return h(Host,null,h("slot",null),h("sc-dialog",{open:!!this.showSuccessModal,style:{"--body-spacing":"var(--sc-spacing-xxx-large)"},noHeader:!0,onScRequestClose:e=>e.preventDefault()},h("div",{class:"confirm__icon"},h("div",{class:"confirm__icon-container"},h("sc-icon",{name:"check"}))),h("sc-dashboard-module",{heading:(null===(t=null===(e=null==formState?void 0:formState.text)||void 0===e?void 0:e.success)||void 0===t?void 0:t.title)||__("Thanks for your order!","surecart"),style:{"--sc-dashboard-module-spacing":"var(--sc-spacing-x-large)",textAlign:"center"}},h("span",{slot:"description"},(null===(s=null===(o=null==formState?void 0:formState.text)||void 0===o?void 0:o.success)||void 0===s?void 0:s.description)||__("Your payment was successful. A receipt is on its way to your inbox.","surecart")),!!(null===(r=this.manualPaymentMethod)||void 0===r?void 0:r.name)&&!!(null===(c=this.manualPaymentMethod)||void 0===c?void 0:c.instructions)&&h("sc-alert",{type:"info",open:!0,style:{"text-align":"left"}},h("span",{slot:"title"},null===(i=this.manualPaymentMethod)||void 0===i?void 0:i.name),h("div",{innerHTML:null===(a=this.manualPaymentMethod)||void 0===a?void 0:a.instructions})),h("sc-button",{href:this.getSuccessUrl(),size:"large",type:"primary",ref:e=>this.continueButton=e},(null===(l=null===(n=null==formState?void 0:formState.text)||void 0===n?void 0:n.success)||void 0===l?void 0:l.button)||__("Continue","surecart"),h("sc-icon",{name:"arrow-right",slot:"suffix"})))))}static get is(){return"sc-order-confirm-provider"}static get encapsulation(){return"shadow"}static get originalStyleUrls(){return{$:["sc-order-confirm-provider.scss"]}}static get styleUrls(){return{$:["sc-order-confirm-provider.css"]}}static get properties(){return{checkoutStatus:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Checkout status to listen and do payment related stuff."},attribute:"checkout-status",reflect:!1},successUrl:{type:"string",mutable:!1,complexType:{original:"string",resolved:"string",references:{}},required:!1,optional:!1,docs:{tags:[],text:"Success url."},attribute:"success-url",reflect:!1}}}static get states(){return{showSuccessModal:{},manualPaymentMethod:{}}}static get events(){return[{method:"scOrderPaid",name:"scOrderPaid",bubbles:!0,cancelable:!0,composed:!0,docs:{tags:[],text:"The order is paid event."},complexType:{original:"Checkout",resolved:"Checkout",references:{Checkout:{location:"import",path:"../../../types"}}}},{method:"scSetState",name:"scSetState",bubbles:!0,cancelable:!0,composed:!0,docs:{tags:[],text:""},complexType:{original:"string",resolved:"string",references:{}}}]}static get elementRef(){return"el"}static get watchers(){return[{propName:"checkoutStatus",methodName:"handleConfirmOrderEvent"},{propName:"showSuccessModal",methodName:"handleSuccessModal"}]}}